ParameterDesc (Axis API)
Keywords: org.apache.axis.description.ParameterDesc class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.description
Class ParameterDesc

    java.lang.Object
      org.apache.axis.description.ParameterDesc

All Implemented Interfaces:
  java.io.Serializable

public class ParameterDesc
extends java.lang.Object
implements java.io.Serializable

A Parameter descriptor, collecting the interesting info about an operation parameter. (mostly taken from org.apache.axis.wsdl.toJava.Parameter right now)

Author:
  Glen Daniels (gdaniels@apache.org)
See Also:
  Serialized Form

Field Summary
`static byte` | `IN`
`static byte` | `INOUT`
`static byte` | `OUT`
`TypeEntry` | `typeEntry` A TypeEntry corresponding to this parameter

Constructor Summary
`ParameterDesc()`
`ParameterDesc(ParameterDesc copy)` Constructor-copy
`ParameterDesc(QName name, byte mode, QName typeQName)` Constructor
`ParameterDesc(QName name, byte mode, QName typeQName, java.lang.Class javaType)` Deprecated.
`ParameterDesc(QName name, byte mode, QName typeQName, java.lang.Class javaType, boolean inHeader, boolean outHeader)` "Complete" constructor, suitable for usage in skeleton code

Method Summary
`java.lang.String` | `getDocumentation()` get the documentation for the parameter
`boolean` | `getIsReturn()` Indicates ParameterDesc represents return of OperationDesc
`QName` | `getItemQName()`
`QName` | `getItemType()`
`java.lang.Class` | `getJavaType()` Get the java type (note that this is javaType in the signature.)
`byte` | `getMode()`
`static java.lang.String` | `getModeAsString(byte mode)`
`java.lang.String` | `getName()`
`int` | `getOrder()`
`QName` | `getQName()`
`QName` | `getTypeQName()`
`boolean` | `isInHeader()`
`boolean` | `isNillable()` Indicates whether this parameter is nillable or not.
`boolean` | `isOmittable()` Indicates if this parameter is omittable or not (i.e., if it has a minimum occurrence of 0).
`boolean` | `isOutHeader()`
`static byte` | `modeFromString(java.lang.String modeStr)` Get a mode constant from a string.
`void` | `setDocumentation(java.lang.String documentation)` set the documentation for the parameter
`void` | `setInHeader(boolean value)`
`void` | `setIsReturn(boolean value)` Set to true to indicate return parameter of OperationDesc
`void` | `setItemQName(QName itemQName)`
`void` | `setItemType(QName itemType)`
`void` | `setJavaType(java.lang.Class javaType)` Set the java type (note that this is javaType in the signature.)
`void` | `setMode(byte mode)`
`void` | `setName(java.lang.String name)`
`void` | `setNillable(boolean nillable)` Indicate if this parameter is nillable.
`void` | `setOmittable(boolean omittable)` Indicate if this parameter is omittable or not (i.e., if it has a minimum occurrence of 0).
`void` | `setOrder(int order)`
`void` | `setOutHeader(boolean value)`
`void` | `setQName(QName name)`
`void` | `setTypeQName(QName typeQName)`
`java.lang.String` | `toString()`
`java.lang.String` | `toString(java.lang.String indent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IN

    public static final byte IN

See Also:
  Constant Field Values

### OUT

    public static final byte OUT

See Also:
  Constant Field Values

### INOUT

    public static final byte INOUT

See Also:
  Constant Field Values

### typeEntry

    public TypeEntry typeEntry

  A TypeEntry corresponding to this parameter

Constructor Detail

### ParameterDesc

    public ParameterDesc()

### ParameterDesc

    public ParameterDesc(ParameterDesc copy)

  Constructor-copy

Parameters:
  `copy` - the copy

### ParameterDesc

    public ParameterDesc(QName name,
                         byte mode,
                         QName typeQName)

  Constructor

Parameters:
  `name` - the parameter's fully qualified XML name
  `mode` - IN, OUT, INOUT
  `typeQName` - the parameter's XML type QName

### ParameterDesc

    public ParameterDesc(QName name,
                         byte mode,
                         QName typeQName,
                         java.lang.Class javaType,
                         boolean inHeader,
                         boolean outHeader)

  "Complete" constructor, suitable for usage in skeleton code

Parameters:
  `name` - the parameter's fully qualified XML name
  `mode` - IN, OUT, INOUT
  `typeQName` - the parameter's XML type QName
  `javaType` - the parameter's javaType
  `inHeader` - does this parameter go into the input message header?
  `outHeader` - does this parameter go into the output message header?

### ParameterDesc

    public ParameterDesc(QName name,
                         byte mode,
                         QName typeQName,
                         java.lang.Class javaType)

  Deprecated.

Parameters:
  `name` - the parameter's fully qualified XML name
  `mode` - IN, OUT, INOUT
  `typeQName` - the parameter's XML type QName
  `javaType` - the parameter's javaType

Method Detail

### toString

    public java.lang.String toString()

### toString

    public java.lang.String toString(java.lang.String indent)

### modeFromString

    public static byte modeFromString(java.lang.String modeStr)

  Get a mode constant from a string. Defaults to IN, and returns OUT or INOUT if the string matches (ignoring case).

### getModeAsString

    public static java.lang.String getModeAsString(byte mode)

### getQName

    public QName getQName()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### setQName

    public void setQName(QName name)

### getTypeQName

    public QName getTypeQName()

### setTypeQName

    public void setTypeQName(QName typeQName)

### getJavaType

    public java.lang.Class getJavaType()

  Get the java type (note that this is javaType in the signature.)

  Returns:
    Class javaType

### setJavaType

    public void setJavaType(java.lang.Class javaType)

  Set the java type (note that this is javaType in the signature.)

### getMode

    public byte getMode()

### setMode

    public void setMode(byte mode)

### getOrder

    public int getOrder()

### setOrder

    public void setOrder(int order)

### setInHeader

    public void setInHeader(boolean value)

### isInHeader

    public boolean isInHeader()

### setOutHeader

    public void setOutHeader(boolean value)

### isOutHeader

    public boolean isOutHeader()

### getIsReturn

    public boolean getIsReturn()

  Indicates ParameterDesc represents return of OperationDesc

  Returns:
    true if return parameter of OperationDesc

### setIsReturn

    public void setIsReturn(boolean value)

  Set to true to indicate return parameter of OperationDesc

  Parameters:
    `value` - boolean that indicates if return parameter of OperationDesc

### getDocumentation

    public java.lang.String getDocumentation()

  get the documentation for the parameter

### setDocumentation

    public void setDocumentation(java.lang.String documentation)

  set the documentation for the parameter

### getItemQName

    public QName getItemQName()

### setItemQName

    public void setItemQName(QName itemQName)

### getItemType

    public QName getItemType()

### setItemType

    public void setItemType(QName itemType)

### isOmittable

    public boolean isOmittable()

  Indicates if this parameter is omittable or not (i.e., if it has a minimum occurrence of 0).

  Returns:
    true iff the parameter may be omitted in the request

### setOmittable

    public void setOmittable(boolean omittable)

  Indicate if this parameter is omittable or not (i.e., if it has a minimum occurrence of 0).

  Parameters:
    `omittable` - whether the parameter may be omitted or not

### isNillable

    public boolean isNillable()

  Indicates whether this parameter is nillable or not.

  Returns:
    whether this parameter is nillable

### setNillable

    public void setNillable(boolean nillable)

  Indicate if this parameter is nillable.

  Parameters:
    `nillable` - true iff this parameter is nillable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.